Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.ruleset
Class SimpleTest

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.ruleset.RuleComponent
oracle.rules.sdk.editor.ruleset.SimpleTest`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class SimpleTest
extends RuleComponent

A SimpleTest consists of 4 items: left expression, comparison operator, right expression, conjunction.

Example:

Order.total > 500 AND... "Order.total" is the left expression, ">=" is the comparison operator, "500" is the right expression, "AND" is the conjuntion.

On output, valid choices for the context of the PatternTest can be obtained by calling getLeft().getSingleTermValueOptions(), or getOperatorOptions(), etc.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_CONJUNCTION`
`static java.lang.String` | `PROP_LEFT`
`static java.lang.String` | `PROP_OPERATOR`
`static java.lang.String` | `PROP_RIGHT`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Generic property getter inheirited from `RuleComponent`.
`java.lang.String` | `getConjunction()` Get {the conjunction (and/or) combining this pattern with the next in the table.
`java.lang.String` | `getConjunctionConstraint()`
`java.lang.String[]` | `getConjunctionOptions()`
`int` | `getConjunctionSelected()`
`Expression` | `getLeft()`
`java.lang.String` | `getOperator()`
`java.lang.String` | `getOperatorConstraint()`
`java.lang.String[]` | `getOperatorOptions()`
`int` | `getOperatorSelected()`
`java.lang.String[]` | `getPropertyNames()`
`Expression` | `getRight()`
`void` | `setConjunction(java.lang.String conjunction)` Set {the conjunction (and/or) combining this pattern with the next in the table.
`void` | `setConjunctionConstraint(java.lang.String conjunctionConstraint)`
`void` | `setConjunctionOptions(java.lang.String[] conjunctionOptions)`
`void` | `setOperator(java.lang.String operator)`
`void` | `setOperatorConstraint(java.lang.String operatorConstraint)`
`void` | `setOperatorOptions(java.lang.String[] operatorOptions)`
`void` | `validate()` Validates the correctness of the RuleComponent and all RuleComponents below it.

Methods inherited from class oracle.rules.sdk.editor.ruleset.RuleComponent
`clear, discardCopy, get, getConstraint, getConstraintList, getCustom, getDescription, getID, getOptions, getParent, getParentTable, getRange, getSelected, put, remove, restoreCopy, saveCopy, setCustom, setDescription, toString`

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_LEFT

    public static final java.lang.String PROP_LEFT

  See Also:
    Constant Field Values

### PROP_OPERATOR

    public static final java.lang.String PROP_OPERATOR

  See Also:
    Constant Field Values

### PROP_RIGHT

    public static final java.lang.String PROP_RIGHT

  See Also:
    Constant Field Values

### PROP_CONJUNCTION

    public static final java.lang.String PROP_CONJUNCTION

  See Also:
    Constant Field Values

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Description copied from class: `RuleComponent`
  Generic property getter inheirited from `RuleComponent`.

  Please see the specific bean class for a list of properties.

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `RuleComponent`
  Parameters:
    `key` - a String containing the property name to be fetched.
  Returns:
    the value corresponding to the key: a String, String[], RuleComponent, or RuleComponentTable

### validate

    public void validate()
                  throws RuleEditorException,
                         RuleEditorSDKException

  Description copied from class: `RuleComponent`
  Validates the correctness of the RuleComponent and all RuleComponents below it.
  Overrides:
    `validate` in class `RuleComponent`
  Throws:
    `RuleEditorSDKException` - incorrect SDK usage
    `RuleEditorException` - for user input errors

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Overrides:
    `getPropertyNames` in class `RuleComponent`

### getLeft

    public Expression getLeft()

### getOperator

    public java.lang.String getOperator()

### setOperator

    public void setOperator(java.lang.String operator)

### getOperatorConstraint

    public java.lang.String getOperatorConstraint()

### setOperatorConstraint

    public void setOperatorConstraint(java.lang.String operatorConstraint)

### getOperatorOptions

    public java.lang.String[] getOperatorOptions()

### setOperatorOptions

    public void setOperatorOptions(java.lang.String[] operatorOptions)

### getOperatorSelected

    public int getOperatorSelected()

### getRight

    public Expression getRight()

### getConjunction

    public java.lang.String getConjunction()

  Get {the conjunction (and/or) combining this pattern with the next in the table. Defaults to `Util.CONJUNCTION_AND` if not set

### setConjunction

    public void setConjunction(java.lang.String conjunction)

  Set {the conjunction (and/or) combining this pattern with the next in the table. Defaults to `Util.CONJUNCTION_AND` if not set

### getConjunctionConstraint

    public java.lang.String getConjunctionConstraint()

### setConjunctionConstraint

    public void setConjunctionConstraint(java.lang.String conjunctionConstraint)

### getConjunctionOptions

    public java.lang.String[] getConjunctionOptions()

### setConjunctionOptions

    public void setConjunctionOptions(java.lang.String[] conjunctionOptions)

### getConjunctionSelected

    public int getConjunctionSelected()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.